POST GET campaigns/search
Search campaigns by various criteria
* required
Parameters
| Name | Type | Description |
|---|---|---|
| title | string | Partial match on campaign title |
| status | string |
Current status of campaign. One of: Active, Inactive
Active, Inactive
|
| startDate | date | Beginning of the date range used to filter campaigns by their start and end dates. |
| endDate | date | End of the date range used to filter campaigns by their start and end dates. |
| userID | integer | ID of system user the campaign belongs to (owner) |
| page | integer |
Number of page in results to return
1
1
|
| rpp | integer |
Number of records to return per page
20
1
100
|
Response Data
| Name | Type | Description | ||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| campaignID | integer | Unique ID of campaign | ||||||||||||||||||||||||
| title | string | Title of campaign | ||||||||||||||||||||||||
| description | string | Description of campaign | ||||||||||||||||||||||||
| status | string | Current status of campaign. One of: Active, Inactive | ||||||||||||||||||||||||
| userID | integer | ID of system user the campaign belongs to (owner) | ||||||||||||||||||||||||
| dateAdded | datetime | Date record was added | ||||||||||||||||||||||||
| dateModified | datetime | Date record was modified | ||||||||||||||||||||||||
| startDate | date | First date of campaign | ||||||||||||||||||||||||
| endDate | date | Last date of campaign | ||||||||||||||||||||||||
| contentCounts | object |
Counts of content currently assigned to the campaign
|
Example Calls
Search all campaigns
GET
/campaigns/search
cURL
Copy
Response Data
Search active campaigns by title and date window
GET
/campaigns/search?title=Promotion&status=Active&startDate=2025-03-01&endDate=2025-03-31
cURL
Copy
API Console
The console uses production data, so BE CAREFUL!
GET
campaigns/search